<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}
$id_empresa =$_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
$id_autoriza=57;

$codigo_usuario=$_POST["us"];

include("../../../conex.php");
//include("../../conexion/class-sb-conexion.php");
include("../../../autoriza.php");

if ($grabar==0)  
{
?>
		<script>
		alert ("No Autorizado");
		parent.location.href = 'index.php';
		</script>
	<? 
	exit();
}		
$id= $_POST["id"];
$nombre = $_POST["nombre"];
$rut = $_POST["rut"];
$ubicacion = $_POST["ubicacion"];


if ($id!=0)
{
	$psql = "UPDATE plan_cuenta SET descripcion = '$nombre', cuenta_contable = '$rut', cuenta_contable2 = '$ubicacion'  WHERE id=$id";
	$consulta = mysql_query($psql,$enlace);
?>
<script language="javascript" type="text/javascript">
alert ("Cuenta <?=$nombre.'\nActualizado Con Exito!';?>");
parent.location.href = '';
</script>
<?
}
else
{
$cont=0;
$sql_busca = "SELECT * FROM plan_cuenta WHERE descripcion = '$nombre'";
$res_busca =  mysql_query($sql_busca, $enlace);		
while (mysql_fetch_object ($res_busca))
	{
	$cont+=1;
	}

if ($cont==0){
	$psql = "INSERT INTO plan_cuenta (descripcion, cuenta_contable, cuenta_contable2) VALUES ('$nombre', '$rut', '$ubicacion')";
	$consulta = mysql_query($psql,$enlace);
?>
<script language="javascript" type="text/javascript">
alert ("Cuenta <?=$nombre.'\nCreado Con Exito!';?>");
parent.location.href = '';
</script>
<?
	} else {
?>
<script language="javascript" type="text/javascript">
alert ("La Cuenta <?=$nombre.'\nya existe!';?>");
parent.location.href = '';
</script>
<?
	} 
}
?>